<?php
 
if ( ! isset( $content_width ) )
	$content_width = 700;

if ( ! function_exists( 'coffee_time_setup' ) ) :

	function coffee_time_setup() {

		load_theme_textdomain( 'coffee-time', get_template_directory() . '/languages' );

		add_theme_support( 'automatic-feed-links' );

		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		$locations = array(
		'menuside'  => __( 'Menu on single posts', 'coffee-time' ),
		'menupage'  => __( 'Menu on pages and index', 'coffee-time' ),
	);
	register_nav_menus( $locations );
		
	add_theme_support( 'nav-menus' );

		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

	add_theme_support( 'customize-selective-refresh-widgets' );
		
 $defaultslogo = array(
 'default-image'  => get_template_directory_uri() . '/img/logo.png',
 'height'      => 44,
 'width'       => 44,
 'flex-height' => true,
 'flex-width'  => true,
 );
 add_theme_support( 'custom-logo', $defaultslogo );
 

	}
endif;
add_action( 'after_setup_theme', 'coffee_time_setup' );

function coffee_time_content_width() {

	$GLOBALS['content_width'] = apply_filters( 'coffee_time_content_width', 640 );
}
add_action( 'after_setup_theme', 'coffee_time_content_width', 0 );


function coffee_time_widgets_init() {
    register_sidebar(array(
		'name'          => __( 'General Foot Widget Left', 'coffee-time' ),
		'id'            => 'coffee_time_foot1',
		'description'   => __( 'Appears in left side of footer section in pages and index.', 'coffee-time' ),
        'before_widget' => '<div class="coffee_time_widget">',
        'after_widget' => '</div>',
        'before_title' => '<strong>',
        'after_title' => '</strong> ',
));

    register_sidebar(array(
		'name'          => __( 'General Foot Widget Middle', 'coffee-time' ),
		'id'            => 'coffee_time_foot2',
		'description'   => __( 'Appears in middle of footer section in pages and index.', 'coffee-time' ),
        'before_widget' => '<div class="coffee_time_widget">',
        'after_widget' => '</div>',
        'before_title' => '<strong>',
        'after_title' => '</strong> ',
));

    register_sidebar(array(
		'name'          => __( 'General Foot Widget Right', 'coffee-time' ),
		'id'            => 'coffee_time_foot3',
		'description'   => __( 'Appears in right side of footer section in pages and index.', 'coffee-time' ),
        'before_widget' => '<div class="coffee_time_widget">',
        'after_widget' => '</div>',
        'before_title' => '<strong>',
        'after_title' => '</strong> ',
));

    register_sidebar(array(
		'name'          => __( 'Single Post Foot Widget Left', 'coffee-time' ),
		'id'            => 'coffee_time_foot4',
		'description'   => __( 'Appears only in left side of footer section in single posts.', 'coffee-time' ),
        'before_widget' => '<div class="coffee_time_widget">',
        'after_widget' => '</div>',
        'before_title' => '<strong>',
        'after_title' => '</strong> ',
));

    register_sidebar(array(
		'name'          => __( 'Single Post Foot Widget Right', 'coffee-time' ),
		'id'            => 'coffee_time_foot5',
		'description'   => __( 'Appears only in right side of footer section in single posts.', 'coffee-time' ),
        'before_widget' => '<div class="coffee_time_widget">',
        'after_widget' => '</div>',
        'before_title' => '<strong>',
        'after_title' => '</strong> ',
));

    register_sidebar(array(
		'name'          => __( 'Ad bellow titles', 'coffee-time' ),
		'id'            => 'coffee_time_ad',
		'description'   => __( 'Appears bellow the title in pages and single posts.', 'coffee-time' ),
        'before_widget' => '<div class="coffee_time_widget2">',
        'after_widget' => '</div>',
        'before_title' => '<strong>',
        'after_title' => '</strong> ',
));

    register_sidebar(array(
		'name'          => __( 'Sidebar in single posts', 'coffee-time' ),
		'id'            => 'coffee_time_sidewidget',
		'description'   => __( 'Appears bellow the author info only in single posts.', 'coffee-time' ),
        'before_widget' => '<div class="coffee_time_widget2">',
        'after_widget' => '</div>',
        'before_title' => '<strong>',
        'after_title' => '</strong> ',
));

}
add_action( 'widgets_init', 'coffee_time_widgets_init' );


function coffee_time_scripts() {
	wp_enqueue_style( 'coffee-time-style', get_stylesheet_uri() );

	wp_enqueue_script( 'coffee-time-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20151215', true );

	wp_enqueue_script( 'coffee-time-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20151215', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
    wp_register_script( 'showhide-js', get_template_directory_uri() . '/js/showhide.js', array( 'jquery' ), false, true );
    wp_enqueue_script( 'showhide-js' );
	wp_enqueue_style( 'coffee-time', get_stylesheet_uri() );
	if ( (!is_admin()) && is_singular() && comments_open() && get_option('thread_comments') )
	wp_enqueue_script( 'comment-reply' );	
}

add_action( 'wp_enqueue_scripts', 'coffee_time_scripts' );

require get_template_directory() . '/inc/custom-header.php';

require get_template_directory() . '/inc/template-tags.php';

require get_template_directory() . '/inc/template-functions.php';

require get_template_directory() . '/inc/customizer.php';

if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}

function coffee_time_show_post_word_count(){
ob_start();
the_content();
$content = ob_get_clean();
return sizeof(explode(" ", $content));
}
if (!function_exists('coffee_time_est_read_time')):
function coffee_time_est_read_time( $return = false) {
$wordcount = round(str_word_count(get_the_content()), -2);
$minutes_fast = ceil($wordcount / 250);
$minutes_slow = ceil($wordcount / 150);
if ($wordcount <= 150) {
$output = __("< 1 ",'coffee-time');
} else {
$output = sprintf(__("%s~%s ",'coffee-time'), $minutes_fast, $minutes_slow);
}
echo $output;
}
endif;
if (!function_exists('coffee_time_est_the_content')):
function coffee_time_est_the_content( $orig ) {
return coffee_time_est_read_time(true) . "\n\n" . $orig;
}
endif;


add_action( 'login_enqueue_scripts', 'loginlogo' );
function loginlogo() { ?>
<style type="text/css">
#login h1 a {background-image: url(<?php $custom_logo_id = get_theme_mod( 'custom_logo' ); $image = wp_get_attachment_image_src( $custom_logo_id , 'full' ); if ( has_custom_logo() ) { echo $image[0]; } else { echo ''. get_stylesheet_directory_uri() .'/img/icon_big.png'; } ?>)}
#login h1:after {line-height:1.4;font-size:90%;font-style:oblique;content: "Oh! It's coffee time already?"}
</style>
<?php }
add_filter( 'login_headerurl', 'loginlogo_link' );
function loginlogo_link() {
   return home_url();
}



?>