<?php

function coffee_time_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'coffee_time_custom_header_args', array(
		'default-text-color'     => '000000',
		'wp-head-callback'       => 'coffee_time_header_style',
		'default-image'          => get_template_directory_uri() . '/img/cover.jpg',
		'width'                  => 836,
		'height'                 => 836,
		'flex-width'             => false,
		'flex-height'            => false,
		'header-text'            => false,		
		
	) ) );
}
add_action( 'after_setup_theme', 'coffee_time_custom_header_setup' );

if ( ! function_exists( 'coffee_time_header_style' ) ) :

	function coffee_time_header_style() {
		$header_text_color = get_header_textcolor();

		if ( get_theme_support( 'custom-header', 'default-text-color' ) === $header_text_color ) {
			return;
		}

		?>
		<style type="text/css">
		<?php

		if ( ! display_header_text() ) :
			?>
			.site-title,
			.site-description {
				position: absolute;
				clip: rect(1px, 1px, 1px, 1px);
			}
		<?php

		else :
			?>
			.site-title a,
			.site-description {
				color: #<?php echo esc_attr( $header_text_color ); ?>;
			}
		<?php endif; ?>
		</style>
		<?php
	}
endif;
