<?php

function coffee_time_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'coffee_time_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'coffee_time_customize_partial_blogdescription',
		) );
	}
}
add_action( 'customize_register', 'coffee_time_customize_register' );

function coffee_time_customize_partial_blogname() {
	bloginfo( 'name' );
}

function coffee_time_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

function coffee_time_customize_preview_js() {
	wp_enqueue_script( 'coffee-time-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20190720', true );
}
add_action( 'customize_preview_init', 'coffee_time_customize_preview_js' );


// pagina adminis
add_action('admin_menu', 'ct_menu');
function ct_menu() {
    add_theme_page('Coffee Time Theme', 'Coffee Time Theme', 'manage_options', 'coffetimehelp', 'conteudo_help');	
}
 
function conteudo_help() {
    if (!current_user_can('manage_options'))  {
        wp_die( __('You do not have sufficient permissions to access this page.', 'coffee-time') );
    }
	
	echo '<div class="wrap"><div id="icon-options-general" class="icon32"><br></div>';
    echo __( '<h1>COFFEE TIME THEME</h1>', 'coffee-time' );
    echo __( '<h2>It&apos;s time to clean up the old coffee machine... <em>It&apos;s coffee time!</em></h2>', 'coffee-time' );
    echo __( '<p>Thanks for using this theme! If you have suggestions or find an issue/error, please advise: <strong>https://wordpress.org/support/theme/coffee-time</strong></p>', 'coffee-time' );
    echo __( '<p>No guarantees, no personal support or customization.</p>', 'coffee-time' );
    echo __( '<p>Note: This theme does not have feature cascading menu or submenu, i.e., all menu links are shown on a simple and continuous line.</p>', 'coffee-time' );
	echo '<hr/>';
    echo __( '<h2>FAQ</h2>', 'coffee-time' );	
	echo __( '<h3>How to change the logo and icon?</h3>', 'coffee-time' );	
	echo __( '<p>Go to Appearance -> Customize -> Site Identity.</p>', 'coffee-time' );	
	echo __( '<h3>How to change that weird image?</h3>', 'coffee-time' );	
	echo __( '<p>The weird header image can be changed in Appearance -> Customize -> Header Image.</p>', 'coffee-time' );	
    echo __( '<h3>How to set author\'s avatar and description?</h3>', 'coffee-time' );
    echo __( '<p>It&apos;s optional, but very recommended. Use an email associated with a Gravatar&apos;s account to show your photo: Users -> Your profile -> Contact Info -> E-mail.</p>', 'coffee-time' );
    echo __( '<p>Create a description to author&apos;s profile: Users -> Your profile -> About Yourself -> Biographical Info.</p>', 'coffee-time' );
    echo __( '<p>Another option is set default avatar in Settings -> Discussion -> Avatars.</p>', 'coffee-time' );	
    echo __( '<h3>How to show only posts excerpt on frontpage?</h3>', 'coffee-time' );
    echo __( '<p>The default config is full content of latest posts. It&apos;s not much pretty, right? Go to Appearance -> Customize -> Homepage Settings, check "A static page", leave "Front page" blank and click "Publish". Or, if you like, also can chose a specific page in "Front page".</p>', 'coffee-time' );
    echo __( '<h3>How to hide authors list (staff) for a only one person&apos;s blog?</h3>', 'coffee-time' );
    echo __( '<p>Easy! Go to Appearance -> Customize -> Custom Coffee Time and do the thing.</p>', 'coffee-time' );
    echo __( '<h3>I don&apos;t want to show avatars.</h3>', 'coffee-time' );
    echo __( '<p>Same as above!</p>', 'coffee-time' );
    echo __( '<h3>I want to change general font text.</h3>', 'coffee-time' );
    echo __( '<p>Fair enough, just add the code below in "Additional CSS" according to your font address and settings:</p>', 'coffee-time' );
    echo __( '<p><code>@font-face {font-family: &apos;NAME-OF-YOURFONT&apos;;font-weight: 400;src: url(&apos;http://URL-OF-YOUR-FONT.ttf&apos;) format("truetype")}</code><br/>
			<code>body {font-family: &apos;NAME-OF-YOURFONT&apos;, &apos;Merriweather&apos;, &apos;Georgia&apos;, &apos;Cambria&apos;, &apos;Times New Roman&apos;, &apos;Times&apos;, serif;}</code></p>', 'coffee-time' );
    echo __( '<h3>How to change general text size?</h3>', 'coffee-time' );
    echo __( '<p>Add the code below in "Additional CSS" according to your preferred size:</p>', 'coffee-time' );
    echo __( '<p><code>.entry-content p {font-size: 1.25em}</code></p>', 'coffee-time' );
	echo '<hr/>';
    echo __( '<h2>Changelog</h2>', 'coffee-time' );
	echo __( '<p>= 2.1.8 = Just adding the official Portuguese translation.<br/>', 'coffee-time' );
    echo __( '<p>= 2.1.7 = Jul 2019 - Critical fix, general update and some improvements. Now is possible mess around with colors and other stuffs.<br/>', 'coffee-time' );
    echo __( '= 2.1.6 = Why you broke my blog?! Sorry :(<br/>', 'coffee-time' );
    echo __( '= 2.1.5 = Just coming back to the road.<br/>', 'coffee-time' );
    echo __( '= 2.1.4 = Increase features: links to category/author rss and time read count.<br/>', 'coffee-time' );
    echo __( '= 2.1.3 = Code reorganization, fixes and cleaning. Links to comments.<br/>', 'coffee-time' );
    echo __( '= 2.1.2 = Fixes on front page and static page options. More and best use instructions.<br/>', 'coffee-time' );
    echo __( '= 2.1 = Code reorganization and cleaning. Thumbnails, post-formats and option to change logo and icon was included. More and best widgets.<br/>', 'coffee-time' );
    echo __( '= 2.0.1 = Fixes in menus. Increase theme URI.<br/>', 'coffee-time' );
    echo __( '= 2.0 = Rebuilt from scratch.<br/>', 'coffee-time' );
    echo __( '= 1.3.6 = ...<br/>', 'coffee-time' );
    echo __( '= 1.3.5 = Aug 2013 - Fixes in functions and style.<br/>', 'coffee-time' );
    echo __( '= 1.3.4 = Header&apos;s image and icon change. General fixes.<br/>', 'coffee-time' );
    echo __( '= 1.3.3 = Header&apos;s image and icon change.<br/>', 'coffee-time' );
    echo __( '= 1.3.2 = Header&apos;s image and icon change. General code cleaning.<br/>', 'coffee-time' );
    echo __( '= 1.3.1 = Fixes in functions and standards Guideline WordPress.<br/>', 'coffee-time' );
    echo __( '= 1.3 = First submit to WordPress.org.</p>', 'coffee-time' );
	echo '<hr/>';
    echo __( '<h2>Credits</h2>', 'coffee-time' );
    echo __( '<p>Coffee Time WordPress theme, Copyright (C) 2019 Roberto Strabelli - https://roberto.strabelli.com</p>', 'coffee-time' );
    echo __( '<p>Coffee Time and all its parts is distributed under the terms of the GNU General Public License.</p>', 'coffee-time' );
    echo __( '<p>Some samples by Underscores - https://underscores.me (C) 2012-2017 Automattic, Inc.</p>', 'coffee-time' );
    echo __( '<p>Default header&apos;s photo by Roberto Strabelli.</p>', 'coffee-time' );
    echo __( '<p>Coffee cup icon by David Vignoni - http://www.icon-king.com/ - https://www.iconfinder.com/icondetails/1393/128/coffee_cup_hot_tea_icon</p>', 'coffee-time' );
    echo __( '<p>Made with Notepad++ and XAMPP</p>', 'coffee-time' );
	echo '<hr/>';
    echo __( '<h2>Did you like this free theme? Please, consider help me to continue its development by paying me a coffee.</h2>', 'coffee-time' );
	
	echo '<table>
<tr>
<td><p>PayPal: <form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick" />
<input type="hidden" name="hosted_button_id" value="7H8BAU5FYXZGN" />
<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
<img alt="" border="0" src="https://www.paypal.com/en_BR/i/scr/pixel.gif" width="1" height="1" />
</form></p></td>
<td><p>PagSeguro: <form target="pagseguro" action="https://pagseguro.uol.com.br/checkout/v2/donation.html" method="post">
<input type="hidden" name="receiverEmail" value="robertostrabelli@gmail.com"/>
<input type="hidden" name="currency" value="BRL"/>
<input type="image" src="https://p.simg.uol.com.br/out/pagseguro/i/botoes/doacoes/84x35-doar.gif" name="submit" alt="Pague com PagSeguro - eh rapido, gratis e seguro!"/>
</form></p></td>
</tr>
</table>';

echo '<div style="text-align:center"><p><img src="';
echo get_template_directory_uri();
echo '/img/alf.png" alt="ALF" /></p></div>';

echo '</div>';
}


// sanitize caixa de selecao
function ct_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

// painel de codigo extra
function extracode_register( $wp_customize ) {
	$wp_customize->add_section('extracode_options', array(
		'title'    => __('Custom Coffee Time', 'coffee-time'),
		'priority' => 100,
		));
		
// hide avatar autor index
$wp_customize->add_setting(
    'show_hide_avataraut',
    array(
		'default'   => '', 
		'sanitize_callback' => 'ct_sanitize_checkbox', 
    )
);
$wp_customize->add_control(
    'show_hide_avataraut',
    array(
        'type' => 'checkbox',
        'label' => __('Hide avatar in author index page', 'coffee-time'),
		'description' => __('Hide below header image in posts by author list', 'coffee-time'),
        'section' => 'extracode_options',
    )
);

// hide avatar autor single
$wp_customize->add_setting(
    'show_hide_avatarautsing',
    array(
		'default'   => '', 
		'sanitize_callback' => 'ct_sanitize_checkbox', 
    )
);
$wp_customize->add_control(
    'show_hide_avatarautsing',
    array(
        'type' => 'checkbox',
        'label' => __('Hide author avatar in single posts', 'coffee-time'),
		'description' => __('Hide your avatar in regular posts', 'coffee-time'),
        'section' => 'extracode_options',
    )
);	

// hide avatar autor excerpts
$wp_customize->add_setting(
    'show_hide_avatarexcerpts',
    array(
		'default'   => '', 
		'sanitize_callback' => 'ct_sanitize_checkbox', 
    )
);
$wp_customize->add_control(
    'show_hide_avatarexcerpts',
    array(
        'type' => 'checkbox',
        'label' => __('Hide author avatar in excerpts', 'coffee-time'),
		'description' => __('Hide little avatars in pages with excerpts. Good for only one person&apos;s site.', 'coffee-time'),
        'section' => 'extracode_options',
    )
);

// hide avatar autor pages
$wp_customize->add_setting(
    'show_hide_avatarpages',
    array(
		'default'   => '', 
		'sanitize_callback' => 'ct_sanitize_checkbox', 
    )
);
$wp_customize->add_control(
    'show_hide_avatarpages',
    array(
        'type' => 'checkbox',
        'label' => __('Hide avatar in pages', 'coffee-time'),
		'description' => __('Hide below text avatar in pages', 'coffee-time'),
        'section' => 'extracode_options',
    )
);

// hide staff
$wp_customize->add_setting(
    'show_hide_staff',
    array(
		'default'   => '', 
		'sanitize_callback' => 'ct_sanitize_checkbox', 
    )
);
$wp_customize->add_control(
    'show_hide_staff',
    array(
        'type' => 'checkbox',
        'label' => __('Hide staff line in index', 'coffee-time'),
		'description' => __('Hide authors name in index. Good for only one person&apos;s site', 'coffee-time'),
        'section' => 'extracode_options',
    )
);
		
// rights css
	$wp_customize->add_setting('copyright', array( 
		'default'   => '', 
		'type' => 'theme_mod', 
		'sanitize_callback' => 'wp_kses_post', 
		'transport'   => 'refresh'
		));
	$wp_customize->add_control( 'copyright', array(
		'settings' => 'copyright',
		'label'   => __('Enter rights information. HTML code with link is allowed.', 'coffee-time'),
		'description' => __('It will appear below the site title at the footer. Try one of these: <code>&lt;span class="cl"&gt;&copy;&lt;/span&gt;&lt;span&gt;&nbsp;2019 All wrongs reserved.&lt;/span&gt;</code> or <code>&lt;span class="cr"&gt;&copy; 2019 All rights reserved.&lt;/span&gt;</code>', 'coffee-time'),
		'section' => 'extracode_options',
		'type'    => 'textarea'
		));	
// other css
	$wp_customize->add_setting('another', array( 
		'default'   => '', 
		'type' => 'theme_mod', 
		'sanitize_callback' => 'wp_kses_post', 
		'transport'   => 'refresh'
		));
	$wp_customize->add_control( 'another', array(
		'settings' => 'another',
		'label'   => __('Extra HTML code hidden before body tag close.', 'coffee-time'),
		'description' => __('For Google ID and other stuff.', 'coffee-time'),
		'section' => 'extracode_options',
		'type'    => 'textarea'
		));	
    }
add_action( 'customize_register', 'extracode_register' );
	

// custom colors
add_action('customize_register','ct_customizer_colors');
function ct_customizer_colors( $wp_customize ) {
$wp_customize->add_setting( 'ct_gradiente_color', array( 'default' => '#90ff77', 'sanitize_callback' => 'sanitize_hex_color', ) );
$wp_customize->add_setting( 'ct_chamatit_color', array( 'default' => '#000000', 'sanitize_callback' => 'sanitize_hex_color', ) );
$wp_customize->add_setting( 'ct_txt_color', array( 'default' => '#000000', 'sanitize_callback' => 'sanitize_hex_color', ) );
$wp_customize->add_setting( 'ct_bg_color', array( 'default' => '#ffffff', 'sanitize_callback' => 'sanitize_hex_color', ) );
$wp_customize->add_setting( 'ct_bgaut_color', array( 'default' => '#ffffff', 'sanitize_callback' => 'sanitize_hex_color', ) );
$wp_customize->add_setting( 'ct_corlink1_color', array( 'default' => '#57ad68', 'sanitize_callback' => 'sanitize_hex_color', ) );
$wp_customize->add_setting( 'ct_menusingle_color', array( 'default' => '#57ad68', 'sanitize_callback' => 'sanitize_hex_color', ) );
$wp_customize->add_setting( 'ct_menuaut_color', array( 'default' => '#000000', 'sanitize_callback' => 'sanitize_hex_color', ) );
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_gradiente_color', 
         array(
             'label'      => __( 'Background gradient color behind the logo', 'coffee-time' ), 
			 'description'	=> __( 'Change color background of site title beside logo in single posts. Good for use with a transparent png logo.', 'coffee-time' ),
             'section'    => 'colors',  
             'settings'   => 'ct_gradiente_color'
         )
     )
  );
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_chamatit_color', 
         array(
             'label'      => __( 'Color of post titles in excerpts', 'coffee-time' ), 
			 'description'	=> __( 'Change it if using a dark background color. Same as general link color will be fine.', 'coffee-time' ),
             'section'    => 'colors',  
             'settings'   => 'ct_chamatit_color'
         )
     )
  );  
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_txt_color', 
         array(
             'label'      => __( 'General text color', 'coffee-time' ),
			 'description'	=> __( 'Is better change it according background color.', 'coffee-time' ),
             'section'    => 'colors',  
             'settings'   => 'ct_txt_color'
         )
     )
  );  
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_bg_color', 
         array(
             'label'      => __( 'General Background color', 'coffee-time' ), 
			 'description' => __( 'Is dark mode still fashionable?', 'coffee-time' ),
             'section'    => 'colors',  
             'settings'   => 'ct_bg_color'
         )
     )
  );  
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_bgaut_color', 
         array(
             'label'      => __( 'Background color of menu in authors posts page', 'coffee-time' ),
			 'description'	=> __( 'Same or similar as general background color will be better.', 'coffee-time' ),			 
             'section'    => 'colors',  
             'settings'   => 'ct_bgaut_color'
         )
     )
  );
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_corlink1_color', 
         array(
             'label'      => __( 'General links color', 'coffee-time' ), 
			 'description'	=> __( 'Its best to keep link colors on the same spectrum.', 'coffee-time' ),
             'section'    => 'colors',  
             'settings'   => 'ct_corlink1_color'
         )
     )
  );  
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_menusingle_color', 
         array(
             'label'      => __( 'Side menu links color in pages and posts', 'coffee-time' ),
			 'description'	=> __( 'Same as general links color will be better.', 'coffee-time' ),			 
             'section'    => 'colors',  
             'settings'   => 'ct_menusingle_color'
         )
     )
  );
  $wp_customize->add_control(
     new WP_Customize_Color_Control(
         $wp_customize,
         'ct_custom_menuaut_color', 
         array(
             'label'      => __( 'Menu links color in authors posts page', 'coffee-time' ), 
			 'description'	=> __( 'Same as general links color will be better.', 'coffee-time' ),
             'section'    => 'colors',  
             'settings'   => 'ct_menuaut_color'
         )
     )
  );
}


// acao cores
add_action( 'wp_enqueue_scripts', 'ct_customizer_css', 100 );
function ct_customizer_css() {
	wp_enqueue_style( 'ct-style', get_stylesheet_directory_uri() . '/style.css' );
	$handle = 'ct-style';
	
	// gradiente
	$gradiente_color = get_theme_mod( 'ct_gradiente_color' ); 
	$css_gradiente = ( $gradiente_color !== '') ? sprintf('
	.gohome {background-color : %s;}
	', $gradiente_color ) : '';
	
	// titulo chamada
	$chamatit_color = get_theme_mod( 'ct_chamatit_color' ); 
	$css_chamatit = ( $chamatit_color !== '') ? sprintf('
	.conteudoindex .chamada h3 a {color: %s;}
	', $chamatit_color ) : '';
	
	// texto geral
	$txt_color = get_theme_mod( 'ct_txt_color' ); 
	$css_txt = ( $txt_color !== '') ? sprintf('
	.tudo p,.tudo2 p, textarea {color : %s;}
	', $txt_color ) : '';
	
	// fundo geral
	$bg_color = get_theme_mod( 'ct_bg_color' ); 
	$css_bg = ( $bg_color !== '') ? sprintf('
	body, textarea {background-color : %s;}
	', $bg_color ) : '';
	
	// fundo autor
	$bgaut_color = get_theme_mod( 'ct_bgaut_color' ); 
	$css_bgaut = ( $bgaut_color !== '') ? sprintf('
	.infopagina2 {background-color : %s;}
	', $bgaut_color ) : '';
	
	// cor menu autor
	$menuaut_color = get_theme_mod( 'ct_menuaut_color' ); 
	$css_menuaut = ( $menuaut_color !== '') ? sprintf('
	#menumain2 ul li a:link,#menumain2 ul li a:visited {color: %s;}
	', $menuaut_color ) : '';
	
	// cor menu pagina e post
	$menusingle_color = get_theme_mod( 'ct_menusingle_color' ); 
	$css_menusingle = ( $menusingle_color !== '') ? sprintf('
	#menuside ul li a:link,#menuside ul li a:visited {color: %s;}
	', $menusingle_color ) : '';
	
	// cor link geral
	$corlink1_color = get_theme_mod( 'ct_corlink1_color' ); 
	$css_corlink1 = ( $corlink1_color !== '') ? sprintf('
	.tudo a:link, .tudo a:visited,.tudo2 a:link, .tudo2 a:visited {color: %s;}
	', $corlink1_color ) : '';
	
	
	if ( $css_gradiente || $css_chamatit || $css_txt || $css_bg || $css_bgaut || $css_menuaut || $css_menusingle || $css_corlink1 ) {
	wp_add_inline_style( $handle  , $css_gradiente );
	wp_add_inline_style( $handle  , $css_chamatit );
	wp_add_inline_style( $handle  , $css_txt );
	wp_add_inline_style( $handle  , $css_bg );
	wp_add_inline_style( $handle  , $css_bgaut );
	wp_add_inline_style( $handle  , $css_menuaut );
	wp_add_inline_style( $handle  , $css_menusingle );
	wp_add_inline_style( $handle  , $css_corlink1 );
	}
	
} 



?>